<?php
// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit();
}
/**
 * @Packge     : Kitar
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

// enqueue css
function kitar_common_custom_css(){
	wp_enqueue_style( 'kitar-color-schemes', get_template_directory_uri().'/assets/css/color.schemes.css' );

    $CustomCssOpt  = kitar_opt( 'kitar_css_editor' );
	if( $CustomCssOpt ){
		$CustomCssOpt = $CustomCssOpt;
	}else{
		$CustomCssOpt = '';
	}

    $customcss = "";
    
    if( get_header_image() ){
        $kitar_header_bg =  get_header_image();
    }else{
        if( kitar_meta( 'page_breadcrumb_settings' ) == 'page' ){
            if( ! empty( kitar_meta( 'breadcumb_image' ) ) ){
                $kitar_header_bg = kitar_meta( 'breadcumb_image' );
            }
        }
    }
    
    if( !empty( $kitar_header_bg ) ){
        $customcss .= ".breadcumb-wrapper{
            background-image:url('{$kitar_header_bg}')!important;
        }";
    }
    
	// Theme color
	$kitarthemecolor = kitar_opt('kitar_theme_color'); 
    if( !empty( $kitarthemecolor ) ){
        list($r, $g, $b) = sscanf( $kitarthemecolor, "#%02x%02x%02x");

        $kitar_real_color = $r.','.$g.','.$b;
        if( !empty( $kitarthemecolor ) ) {
            $customcss .= ":root {
            --theme-color: rgb({$kitar_real_color});
            }";
        }
    }
	// Theme color 2
	$kitarthemecolor2 = kitar_opt('kitar_theme_color2'); 
    if( !empty( $kitarthemecolor2 ) ){
        list($r, $g, $b) = sscanf( $kitarthemecolor2, "#%02x%02x%02x");

        $kitar_real_color = $r.','.$g.','.$b;
        if( !empty( $kitarthemecolor2 ) ) {
            $customcss .= ":root {
            --theme-color2: rgb({$kitar_real_color});
            }";
        }
    }
	// Theme color 3
	$kitarthemecolor3 = kitar_opt('kitar_theme_color3'); 
    if( !empty( $kitarthemecolor3 ) ){
        list($r, $g, $b) = sscanf( $kitarthemecolor3, "#%02x%02x%02x");

        $kitar_real_color = $r.','.$g.','.$b;
        if( !empty( $kitarthemecolor3 ) ) {
            $customcss .= ":root {
            --theme-color3: rgb({$kitar_real_color});
            }";
        }
    }
	// Theme color 4
	$kitarthemecolor4 = kitar_opt('kitar_theme_color4'); 
    if( !empty( $kitarthemecolor4 ) ){
        list($r, $g, $b) = sscanf( $kitarthemecolor4, "#%02x%02x%02x");

        $kitar_real_color = $r.','.$g.','.$b;
        if( !empty( $kitarthemecolor4 ) ) {
            $customcss .= ":root {
            --theme-color4: rgb({$kitar_real_color});
            }";
        }
    }

    // Heading  color
	$kitarheadingcolor = kitar_opt('kitar_heading_color');
    if( !empty( $kitarheadingcolor ) ){
        list($r, $g, $b) = sscanf( $kitarheadingcolor, "#%02x%02x%02x");

        $kitar_real_color = $r.','.$g.','.$b;
        if( !empty( $kitarheadingcolor ) ) {
            $customcss .= ":root {
                --title-color: rgb({$kitar_real_color});
            }";
        }
    }
    // Body color
	$kitarbodycolor = kitar_opt('kitar_body_color');
    if( !empty( $kitarbodycolor ) ){
        list($r, $g, $b) = sscanf( $kitarbodycolor, "#%02x%02x%02x");

        $kitar_real_color = $r.','.$g.','.$b;
        if( !empty( $kitarbodycolor ) ) {
            $customcss .= ":root {
                --body-color: rgb({$kitar_real_color});
            }";
        }
    }

     // Body font
     $kitarbodyfont = kitar_opt('kitar_theme_body_font', 'font-family');
     if( !empty( $kitarbodyfont ) ) {
         $customcss .= ":root {
             --body-font: $kitarbodyfont ;
         }";
     }
 
     // Heading font
     $kitarheadingfont = kitar_opt('kitar_theme_heading_font', 'font-family');
     if( !empty( $kitarheadingfont ) ) {
         $customcss .= ":root {
             --title-font: $kitarheadingfont ;
         }";
     }


    if(kitar_opt('kitar_menu_icon_class')){
        $menu_icon_class = kitar_opt( 'kitar_menu_icon_class' );
    }else{
        $menu_icon_class = 'f02d';
    }

    if( !empty( $menu_icon_class ) ) {
        $customcss .= ".main-menu ul.sub-menu li a:before {
                content: \"\\$menu_icon_class\" !important;
            }";
    }

    // if( !empty( $menu_icon_class ) ) {
    //     $customcss .= ":root {
    //         .main-menu ul.sub-menu li a:before {
    //             content: \"\\$menu_icon_class\";
    //         }
    //     }";
    // }

	if( !empty( $CustomCssOpt ) ){
		$customcss .= $CustomCssOpt;
	}

    wp_add_inline_style( 'kitar-color-schemes', $customcss );
}
add_action( 'wp_enqueue_scripts', 'kitar_common_custom_css', 100 );