<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Banner Slider Widget.
 *
 */
class Kitar_Banner1 extends Widget_Base {

	public function get_name() {
		return 'kitarbanner1';
	}
	public function get_title() {
		return __( 'Banner Slider', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar_header_elements' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'banner_section',
			[
				'label' 	=> __( 'Banner', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', ['Style One'] ); 

		$repeater = new Repeater();

		kitar_media_fields($repeater, 'bg', 'Choose Background');
		kitar_media_fields($repeater, 'overlay', 'Choose Overlay');
		kitar_general_fields($repeater, 'subtitle', 'Subtitle', 'TEXT', 'The Leading Platform Event');
		kitar_general_fields($repeater, 'title', 'Title', 'TEXTAREA', '2024 Global Business');
		kitar_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', '');
		kitar_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Purchase Ticket');
		kitar_url_fields($repeater, 'button_url', 'Button URL');
		kitar_general_fields($repeater, 'button_text2', 'Button 2 Text', 'TEXT', 'Discover More');
		kitar_url_fields($repeater, 'button_url2', 'Button 2 URL');
		
		$this->add_control(
			'banner_slides',
			[
				'label' 		=> __( 'Banners', 'kitar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'subtitle' 	=> __( 'The Leading Platform Event', 'kitar' ),
						'title' 	=> __( '2024 Global Business', 'kitar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1']
				]
			]
		);

		
		kitar_switcher_fields( $this, 'show_shape', 'Show All Shape?', ['1'] );

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Subtitle Style-------
		kitar_common_style_fields( $this, 'subtitle', 'Subtitle', '{{WRAPPER}} .sub', ['1'],'--theme-color2' );
		//-------Title Style-------
		kitar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title' );
		//------Button Style (gradient-color)-------
		kitar_button_style_fields( $this, '11', 'Button 2 Styling', '{{WRAPPER}} .th_btn' );
        //------Button Style (normal)-------
		kitar_button_style_fields( $this, '10', 'Button Styling', '{{WRAPPER}} .th_btn2' );

    }

	protected function render() {

    $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="th-hero-wrapper hero-3" id="hero">';
				echo '<div class="swiper th-slider number-dots hero-slider-3" id="heroSlide3" data-slider-options=\'{"effect":"fade"}\'>';
					echo '<div class="swiper-wrapper">';
					foreach( $settings['banner_slides'] as $key => $data ){
						echo '<div class="swiper-slide">';
							echo '<div class="hero-inner">';
								echo '<div class="th-hero-bg" data-bg-src="'.esc_url( $data['bg']['url'] ).'">';
									echo kitar_img_tag( array(
										'url'   => esc_url( $data['overlay']['url'] ),
									)); 
								echo '</div>';
								echo '<div class="container">';
									echo '<div class="hero-style3">';
										if(!empty($data['subtitle'])){
											echo '<span class="sub-title sub" data-ani="slideindown" data-ani-delay="0.1s">'.wp_kses_post($data['subtitle']).'</span>';
										}
										if(!empty($data['title'])){
											echo '<h1 class="hero-title" data-ani="slideinleft" data-ani-delay="0.4s">'.wp_kses_post($data['title']).'</h1>';
										}
										if(!empty($data['desc'])){
											echo '<p class="hero-text" data-ani="slideinleft" data-ani-delay="0.4s">'.wp_kses_post($data['desc']).'</p>';
										}
										echo '<div class="btn-group">';
											if(!empty($data['button_text'])){
												echo '<div class="" data-ani="slideinleft" data-ani-delay="0.8s">';
													echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($data['button_text']).'</a>';
												echo '</div>';
											}
											if(!empty($data['button_text2'])){
											echo '<div class="call-btn" data-ani="slideinright" data-ani-delay="0.9s">';
												echo '<a href="'.esc_url( $data['button_url2']['url'] ).'" class="play-btn popup-video"><i class="fas fa-play"></i></a>';
												echo '<div class="media-body">';
													echo '<a href="'.esc_url( $data['button_url2']['url'] ).'" class="btn-title popup-video">'.wp_kses_post($data['button_text2']).'</a>';
												echo '</div>';
											echo '</div>';
											}
										echo '</div>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
					echo '</div>';
					echo '<div class="slider-pagination"></div>';
					if($settings['show_shape'] == 'yes'){
						echo '<div class="shape-mockup z-index-3 spin d-none d-md-block" data-top="9%" data-left="2%">';
							echo '<img class="gspin" src="'.KITAR_ASSETS.'img/shape/shape_3_1.png" alt="shape">';
						echo '</div>';
						echo '<div class="shape-mockup z-index-3 anim02 d-none d-xl-block" data-top="10%" data-left="28%">';
							echo '<img src="'.KITAR_ASSETS.'img/shape/shape_3_2.png" alt="shape">';
						echo '</div>';
						echo '<div class="shape-mockup z-index-3 movingX d-none d-md-block" data-top="10%" data-left="40%">';
							echo '<img class="gmovingX" src="'.KITAR_ASSETS.'img/shape/shape_3_3.png" alt="shape">';
						echo '</div>';
						echo '<div class="shape-mockup z-index-3 d-none d-xl-block" data-bottom="6%" data-left="0%">';
							echo '<img src="'.KITAR_ASSETS.'img/shape/shape_3_4.png" alt="shape">';
						echo '</div>';
						echo '<div class="shape-mockup z-index-3 movingX d-none d-md-block" data-bottom="11%" data-left="36%">';
							echo '<img src="'.KITAR_ASSETS.'img/shape/shape_3_6.png" alt="shape">';
						echo '</div>';
					}
				echo '</div>';
			echo '</div>';
           
		}elseif( $settings['layout_style'] == '2' ){


		}

		
	}

}