<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Banner Widget.
 *
 */
class kitar_Banner2 extends Widget_Base {

	public function get_name() {
		return 'kitarbanner2';
	}
	public function get_title() {
		return __( 'Banner / Hero', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar_header_elements' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'banner_section',
			[
				'label' 	=> __( 'Banner', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One', 'Style Two' ] );

		kitar_media_fields( $this, 'bg', 'Choose Background', ['1', '2'] );
        
		kitar_general_fields( $this, 'subtitle', 'Subitle', 'TEXTAREA', 'Baby Care & Kindergarten School' );
		kitar_general_fields( $this, 'title', 'Title', 'TEXTAREA', 'Noise' );
        
		kitar_general_fields( $this, 'button_text', 'Button Text', 'TEXT', 'GET TICKETS' );
		kitar_url_fields( $this, 'button_url', 'Button URL' );
		kitar_general_fields( $this, 'button_text2', 'Button Text', 'TEXT', 'EVENT SCHEDULE', ['2'] );
		kitar_url_fields( $this, 'button_url2', 'Button URL', ['2'] );

		kitar_media_fields( $this, 'shape', 'Choose Shape', ['1', '2'] );
        
		kitar_switcher_fields( $this, 'show_shape', 'Show All Shape?', ['2'] );

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Subtitle Style-------
		kitar_common_style_fields( $this, 'subtitle', 'Subtitle', '{{WRAPPER}} .sub', ['1'],'--theme-color4' );
		kitar_common_style_fields( $this, 'subtitle2', 'Subtitle', '{{WRAPPER}} .sub', ['2'],'--theme-color' );
		//-------Title Style-------
		kitar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title' );
		//------Button Style-------
		kitar_button_style_fields( $this, '10', 'Button Styling', '{{WRAPPER}} .th_btn' );
		kitar_button_style_fields( $this, '11', 'Button Styling', '{{WRAPPER}} .th_btn2', ['2'] );

    }

	protected function render() {

    $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
            echo '<div class="th-hero-wrapper hero-1" id="hero">';
                echo '<div class="th-hero-bg" data-bg-src="'.esc_url($settings['bg']['url']).'"></div>';
                echo '<div class="bottom-shape" data-bg-src="'.esc_url($settings['shape']['url']).'"></div>';
                echo '<div class="container">';
                    echo '<div class="hero-style1">';
                        if(!empty($settings['subtitle'])){
                            echo '<h6 class="sub-title sub-title2 sub">'.wp_kses_post($settings['subtitle']).'</h6>';
                        }
                        if(!empty($settings['title'])){
                            echo '<h1 class="hero-title title">'.wp_kses_post($settings['title']).'</h1>';
                        }
                        if(!empty($settings['button_text'])){
                            echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn btn-green th_btn">'.wp_kses_post($settings['button_text']).'</a>';
                        }
                    echo '</div>';
                echo '</div>';
            echo '</div>';
           
		}elseif( $settings['layout_style'] == '2' ){
			echo '<div class="th-hero-wrapper hero-2" id="hero">';
				echo '<div class="th-hero-bg " data-bg-src="'.esc_url($settings['bg']['url']).'"></div>';
				echo '<div class="container">';
					echo '<div class="hero-style2">';
						if(!empty($settings['subtitle'])){
							echo '<h6 class="sub-title sub-title2 sub">'.wp_kses_post($settings['subtitle']).'</h6>';
						}
						if(!empty($settings['title'])){
							echo '<h1 class="hero-title title">'.wp_kses_post($settings['title']).'</h1>';
						}
						echo '<div class="btn-group">';
							if(!empty($settings['button_text'])){
								echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
							}
							if(!empty($settings['button_text2'])){
								echo '<a href="'.esc_url( $settings['button_url2']['url'] ).'" class="th-btn style4 th_btn2">'.wp_kses_post($settings['button_text2']).'</a>';
							}
						echo '</div>';
					echo '</div>';
				echo '</div>';
				echo '<div class="banner-shape" data-bg-src="'.esc_url($settings['shape']['url']).'"></div>';
				if(!empty($settings['show_shape'])){
				echo '<div class="shape-mockup z-index-3 anim06 d-none d-xl-block" data-top="10%" data-left="8%">';
					echo '<img src="'.KITAR_ASSETS.'img/shape/shape_2_1.png" alt="shape">';
				echo '</div>';
				echo '<div class="shape-mockup z-index-3 anim01 d-none d-xl-block" data-top="10%" data-left="43%">';
					echo '<img src="'.KITAR_ASSETS.'img/shape/shape_2_2.png" alt="shape">';
				echo '</div>';
				echo '<div class="shape-mockup z-index-3 jump d-none d-xl-block" data-top="12%" data-right="3%">';
					echo '<img src="'.KITAR_ASSETS.'img/shape/book.png" alt="shape">';
				echo '</div>';
				echo '<div class="shape-mockup z-index-3 movingX d-none d-xl-block" data-top="40%" data-left="0%">';
					echo '<img src="'.KITAR_ASSETS.'img/shape/shape_2_3.png" alt="shape">';
				echo '</div>';
				echo '<div class="shape-mockup z-index-3 anim03 d-none d-xl-block" data-bottom="23%" data-left="4%">';
					echo '<img src="'.KITAR_ASSETS.'img/shape/bag2.png" alt="shape">';
				echo '</div>';
				echo '<div class="shape-mockup z-index-3 movingX d-none d-xl-block" data-bottom="24%" data-left="46%">';
					echo '<img src="'.KITAR_ASSETS.'img/shape/shape_2_4.png" alt="shape">';
				echo '</div>';
				echo '<div class="shape-mockup z-index-3 swing d-none d-xl-block" data-bottom="23%" data-left="40%">';
					echo '<img src="'.KITAR_ASSETS.'img/shape/shape_2_5.png" alt="shape">';
				echo '</div>';
				}
			echo '</div>';

		}

		
	}

}