<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
/**
 *
 * Brand Logo Widget .
 *
 */
class kitar_Brand_Logo extends Widget_Base {

	public function get_name() {
		return 'kitarbrandlogo';
	}
	public function get_title() {
		return __( 'Brand Logo', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'client_logo_section',
			[
				'label' 	=> __( 'Brand Logo', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One', 'Style Two', 'Style Three', 'Style Four', 'Style Five' ] );

		kitar_media_fields( $this, 'subtitle_shape', 'Choose Subtitle Shape', ['1', '3'] );
		kitar_general_fields( $this, 'subtitle', 'Subtitle', 'TEXTAREA2', 'SPONSORS & EXHIBITORS', [ '1', '3' ] );
		kitar_general_fields( $this, 'title', 'Title', 'TEXTAREA2', 'Our Sponsored By', [ '1', '3' ] );

		$fields_to_include = [ 'image' => ['Brand Logo'], 'url' => ['Link'] ];
		kitar_repeater_fields( $this, 'logos', 'Brand Logos', $fields_to_include, ['1', '3'] );

		$fields_to_include2 = [ 'image' => ['Brand Logo'] ];
		kitar_repeater_fields( $this, 'logos2', 'Brand Logos', $fields_to_include2, ['2', '4', '5'] );

		kitar_media_fields( $this, 'bg', 'Choose Background', ['1', '3'] );
		kitar_media_fields( $this, 'shape', 'Choose Shape', ['1', '3'] );
		kitar_media_fields( $this, 'shape2', 'Choose Shape', ['1', '3'] );

        $this->end_controls_section();

		//---------------------------------------
			//Style Section Start
		//---------------------------------------

		kitar_common_style_fields( $this, 'subtitle', 'Subtitle', '{{WRAPPER}} .sub', [ '1', '3' ] );
		kitar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title', [ '1', '3' ] );


	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="brand-sec2 bg space shape-mockup-wrap" data-bg-src="'.esc_url( $settings['bg']['url'] ).'">';
				if(!empty($settings['shape']['url'])){
					echo '<div class="shape-mockup movingX" data-bottom="0" data-left="0">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['shape']['url'] ),
						) );
					echo '</div>';
				}
				if(!empty($settings['shape2']['url'])){
					echo '<div class="shape-mockup moving" data-bottom="0" data-right="0">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['shape2']['url'] ),
						) );
					echo '</div>';
				}
				echo '<div class="container">';
					echo '<div class="title-area text-center">';
						if(!empty($settings['subtitle'])){
							echo '<span class="sub-title sub">';
								echo kitar_img_tag( array(
									'url'   => esc_url( $settings['subtitle_shape']['url'] ),
								) );
								echo wp_kses_post($settings['subtitle']);
							echo '</span>';
						}
						if(!empty($settings['title'])){
							echo '<h2 class="sec-title title">'.wp_kses_post($settings['title']).'</h2>';
						}
					echo '</div>';
					echo '<div class="brand-row2">';
						foreach( $settings['logos'] as $data ){
							echo '<div class="brand-col">';
								echo '<a href="'.esc_url( $data['link']['url'] ).'">';
									echo '<div class="brand-card">';
										echo kitar_img_tag( array(
											'url'   => esc_url( $data['brand_logo']['url'] ),
											'class' => 'gray',
										) );
									echo '</div>';
								echo '</a>';
							echo '</div>';
						}
					echo '</div>';
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			echo '<div class="brand-sec1">';
				echo '<div class="container-fluid">';
					echo '<div class="swiper th-slider" id="brandSlider1" data-slider-options=\'{"breakpoints":{"0":{"slidesPerView":2},"576":{"slidesPerView":"2"},"768":{"slidesPerView":"3"},"992":{"slidesPerView":"4"},"1200":{"slidesPerView":"5"},"1300":{"slidesPerView":"6"},"1500":{"slidesPerView":"7"}}}\'>';
						echo '<div class="swiper-wrapper">';
							foreach( $settings['logos2'] as $data ){
								echo '<div class="swiper-slide">';
									echo '<div class="brand-box">';
										echo kitar_img_tag( array(
											'url'   => esc_url( $data['brand_logo']['url'] ),
											'class' => 'gray',
										) );
									echo '</div>';
								echo '</div>';
							}
						echo '</div>';
					echo '</div>';
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="brand-sec2 space shape-mockup-wrap" data-bg-src="'.esc_url( $settings['bg']['url'] ).'">';
				if(!empty($settings['shape']['url'])){
					echo '<div class="shape-mockup pulse" data-bottom="0" data-left="0">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['shape']['url'] ),
						) );
					echo '</div>';
				}
				if(!empty($settings['shape2']['url'])){
					echo '<div class="shape-mockup pulse" data-top="0" data-right="0">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['shape2']['url'] ),
						) );
					echo '</div>';
				}
				echo '<div class="container">';
					echo '<div class="title-area text-center">';
						if(!empty($settings['subtitle'])){
							echo '<span class="sub-title sub">';
								echo kitar_img_tag( array(
									'url'   => esc_url( $settings['subtitle_shape']['url'] ),
								) );
								echo wp_kses_post($settings['subtitle']);
							echo '</span>';
						}
						if(!empty($settings['title'])){
							echo '<h2 class="sec-title title">'.wp_kses_post($settings['title']).'</h2>';
						}
					echo '</div>';
					echo '<div class="brand-row2">';
						foreach( $settings['logos'] as $data ){
							echo '<div class="brand-col">';
								echo '<a href="'.esc_url( $data['link']['url'] ).'">';
									echo '<div class="brand-card">';
										echo kitar_img_tag( array(
											'url'   => esc_url( $data['brand_logo']['url'] ),
										) );
									echo '</div>';
								echo '</a>';
							echo '</div>';
						}
					echo '</div>';
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '4' ){
			echo '<div class="brand-grid-wrap">';
				foreach( $settings['logos2'] as $data ){
					echo '<div class="brand-grid">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $data['brand_logo']['url'] ),
							'class' => 'gray',
						) );
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '5' ){
			echo '<div class="row brand-list-row">';
				foreach( $settings['logos2'] as $data ){
					echo '<div class="col-xl-3 col-md-4 col-6">';
						echo '<div class="brand-list">';
							echo kitar_img_tag( array(
								'url'   => esc_url( $data['brand_logo']['url'] ),
							) );
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}


	}
}