<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
/**
 *
 * Classess Widget .
 *
 */
class kitar_Classes extends Widget_Base {

	public function get_name() {
		return 'kitarclasses';
	}

	public function get_title() {
		return __( 'Classes', 'kitar' );
	}


	public function get_icon() {
		return 'as-icon';
    }


	public function get_categories() {
		return [ 'kitar' ];
	}


	protected function register_controls() {

		$this->start_controls_section(
			'layout_section',
			[
				'label'     => __( 'Layout Style', 'kitar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );


		kitar_select_field( $this, 'layout_style', 'Layout Style', ['Style One', 'Style Two'] );

        $repeater = new Repeater();

		kitar_media_fields($repeater, 'image', 'Choose Image');
		kitar_general_fields($repeater, 'title', 'Title', 'TEXTAREA2', 'Class Name');
		kitar_general_fields($repeater, 'subtitle', 'Subtitle', 'TEXTAREA2', 'Subtitle');
		kitar_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', '');
		kitar_general_fields($repeater, 'meta1', 'Meta Info', 'TEXTAREA2', '');
		kitar_general_fields($repeater, 'meta2', 'Meta Info', 'TEXTAREA2', '');
		kitar_general_fields($repeater, 'meta3', 'Meta Info', 'TEXTAREA2', '');
		kitar_url_fields($repeater, 'button_url', 'Button URL');;
		
		$this->add_control(
			'classes_one',
			[
				'label' 		=> __( 'Classes', 'kitar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 	=> __( 'Class Name', 'kitar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1', '2']
				]
			]
		);


		$this->end_controls_section();

		 //---------------------------------------
			//Style Section Start
		//---------------------------------------


      
	}

	protected function render() {

	    $settings = $this->get_settings_for_display();

	    if( $settings['layout_style'] == '1' ){
	    	echo '<div class="slider-area">';
                echo '<div class="swiper th-slider has-shadow" id="serviceSlider1" data-slider-options=\'{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"2"},"1200":{"slidesPerView":"3"}}}\'>';
                    echo '<div class="swiper-wrapper">';
                        foreach( $settings['classes_one'] as $key => $data ){
                            echo '<div class="swiper-slide">';
                                echo '<div class="service-card">';
                                    if(!empty( esc_url( $data['image']['url'] ))){
                                        echo '<div class="service-card_img" data-mask-src="'.KITAR_ASSETS.'img/shape/ser-img-shape.png">';
                                            echo kitar_img_tag( array(
                                                'url'   => esc_url( $data['image']['url'] ),
                                            )); 
                                        echo '</div>';
                                    }
                                    echo '<div class="service-card_content">';
                                        if(!empty($data['title'])){
                                            echo '<h3 class="box-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.wp_kses_post($data['title']).'</a></h3>';
                                        }
                                        if(!empty($data['subtitle'])){
                                            echo '<div class="service-tag">'.wp_kses_post($data['subtitle']).'</div>';
                                        }
                                        if(!empty($data['desc'])){
                                            echo '<p class="service-card_text">'.wp_kses_post($data['desc']).'</p>';
                                        }
                                        echo '<div class="service-meta_content">';
                                            echo '<div class="service-meta_wrapp">';
                                                if(!empty($data['meta1'])){
                                                    echo '<div class="service-meta">';
                                                        echo wp_kses_post($data['meta1']);
                                                    echo '</div>';
                                                }
                                                if(!empty($data['meta2'])){
                                                    echo '<div class="divider"></div>';
                                                    echo '<div class="service-meta">';
                                                        echo wp_kses_post($data['meta2']);
                                                    echo '</div>';
                                                }
                                                if(!empty($data['meta3'])){
                                                    echo '<div class="divider"></div>';
                                                    echo '<div class="service-meta">';
                                                        echo wp_kses_post($data['meta3']);
                                                    echo '</div>';
                                                }
                                            echo '</div>';
                                            if(!empty($data['button_url']['url'])){
                                                echo '<a class="icon-btn" href="'.esc_url( $data['button_url']['url'] ).'"><i class="fa-regular fa-arrow-right"></i></a>';
                                            }
                                        echo '</div>';
                                    echo '</div>';
                                echo '</div>';
                            echo '</div>';
                        }
                    echo '</div>';
                echo '</div>';
                echo '<button data-slider-prev="#serviceSlider1" class="slider-arrow slider-prev"><i class="far fa-arrow-left"></i></button>';
                echo '<button data-slider-next="#serviceSlider1" class="slider-arrow slider-next"><i class="far fa-arrow-right"></i></button>';
            echo '</div>';

	    }elseif( $settings['layout_style'] == '2' ){
			echo '<div class="row gy-4">';
				foreach( $settings['classes_one'] as $key => $data ){
					echo '<div class="col-md-6 col-xl-4">';
						echo '<div class="service-card">';
							if(!empty( esc_url( $data['image']['url'] ))){
								echo '<div class="service-card_img" data-mask-src="'.KITAR_ASSETS.'img/shape/ser-img-shape.png">';
									echo kitar_img_tag( array(
										'url'   => esc_url( $data['image']['url'] ),
									)); 
								echo '</div>';
							}
							echo '<div class="service-card_content">';
								if(!empty($data['title'])){
									echo '<h3 class="box-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.wp_kses_post($data['title']).'</a></h3>';
								}
								if(!empty($data['subtitle'])){
									echo '<div class="service-tag">'.wp_kses_post($data['subtitle']).'</div>';
								}
								if(!empty($data['desc'])){
									echo '<p class="service-card_text">'.wp_kses_post($data['desc']).'</p>';
								}
								echo '<div class="service-meta_content">';
									echo '<div class="service-meta_wrapp">';
										if(!empty($data['meta1'])){
											echo '<div class="service-meta">';
												echo wp_kses_post($data['meta1']);
											echo '</div>';
										}
										if(!empty($data['meta2'])){
											echo '<div class="divider"></div>';
											echo '<div class="service-meta">';
												echo wp_kses_post($data['meta2']);
											echo '</div>';
										}
										if(!empty($data['meta3'])){
											echo '<div class="divider"></div>';
											echo '<div class="service-meta">';
												echo wp_kses_post($data['meta3']);
											echo '</div>';
										}
									echo '</div>';
									if(!empty($data['button_url']['url'])){
										echo '<a class="icon-btn" href="'.esc_url( $data['button_url']['url'] ).'"><i class="fa-regular fa-arrow-right"></i></a>';
									}
								echo '</div>';
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';
			
		}

		


	}
}