
<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Contact Info Widget .
 *
 */
class Kitar_Contact_Info extends Widget_Base {

	public function get_name() {
		return 'kitarcontactinfo';
	}
	public function get_title() {
		return __( 'Contact Info', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() { 

		$this->start_controls_section(
			'title_section',
			[
				'label' 	=> __( 'Contact Info', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style',[ 'Style One' ] );

		kitar_common_repeater_field($this, 'info', 'Contact', [ 'icon', 'title', 'text'  ], ['1']);

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		kitar_common_style_fields( $this, 'title', 'Info Label', '{{WRAPPER}} .title', ['1'] );
		kitar_common_style_fields( $this, 'desc', 'Info Content', '{{WRAPPER}} .desc, {{WRAPPER}} .desc a, {{WRAPPER}} .desc span', ['1'] );
		
	}

	protected function render() {

        $settings = $this->get_settings_for_display(); 

			
		if( $settings['layout_style'] == '1' ){
			echo '<div class="row gy-30 gx-30">';
				foreach( $settings['info'] as $data ){
					echo '<div class="col-md-6 col-xl-3 contact-info_wrapp">';
						echo '<div class="contact-info">';
							if(!empty($data['contact_icon']['url'])){
								echo '<div class="contact-info_icon">';
									echo kitar_img_tag( array(
										'url'   => esc_url( $data['contact_icon']['url'] ),
									));
								echo '</div>';
							}
							echo '<div class="media-body">';
								if(!empty($data['contact_title'])){
									echo '<p class="contact-info_label title">'.wp_kses_post($data['contact_title']).'</p>';
								}
								if(!empty($data['contact_text'])){
									echo '<div class="desc">'.wp_kses_post($data['contact_text']).'</div>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){

		}
       

	}

}
