<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Counter Up Widget .
 *
 */
class kitar_Counterup extends Widget_Base {

	public function get_name() {
		return 'kitarcounterup';
	}
	public function get_title() {
		return __( 'Counter Up', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'counter_section',
			[
				'label' 	=> __( 'Counter Up', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One' ] ); 

		$repeater = new Repeater();

		$fields_to_include = [ 'image' => ['Choose Icon'], 'title' => ['Number', 'After Prefix'], 'desc' => ['Description'], ];
		kitar_repeater_fields( $this, 'counter_lists', 'Counter List', $fields_to_include, ['1', '2'] );

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Number Style-------
		kitar_common_style_fields($this, 'number', 'Number', '{{WRAPPER}} .num .counter-number', ['1', '2'] );
		kitar_common_style_fields($this, 'number2', 'Number Prefix', '{{WRAPPER}} .num');
		//-------Title Style-------
		kitar_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .desc');
		

	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="row g-0 g-lg-1 justify-content-between">';
				foreach( $settings['counter_lists'] as $data ){
					echo '<div class="col-sm-6 col-xl-auto counter-card-wrap">';
						echo '<div class="counter-card">';
							if(!empty($data['choose_icon']['url'])){
								echo '<div class="icon">';
									echo kitar_img_tag( array(
										'url'   => esc_url( $data['choose_icon']['url'] ),
										'class' => 'svg-img'
									));
								echo '</div>';
							}
							echo '<div class="media-body">';
								if(!empty($data['number'])){
									echo '<h2 class="box-number num"><span class="counter-number">'.wp_kses_post( $data['number'] ).'</span>'.wp_kses_post( $data['after_prefix'] ).'</h2>';
								}
								if(!empty($data['description'])){
									echo '<p class="box-text desc">'.wp_kses_post( $data['description'] ).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
		

		}

	
	}

}