<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * CTA Widget .
 *
 */
class kitar_Cta extends Widget_Base {

	public function get_name() {
		return 'kitarcta';
	}
	public function get_title() {
		return __( 'CTA', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'CTA', 'kitar' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT, 
				
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One' ] );

		kitar_media_fields( $this, 'image1', 'Choose Image', ['1'] );
		kitar_media_fields( $this, 'image2', 'Choose Image', ['1'] );

		kitar_general_fields( $this, 'subtitle', 'Subtitle', 'TEXTAREA2', 'Get Consultation', ['1'] );
		kitar_general_fields( $this, 'title', 'Title', 'TEXTAREA2', 'Get A Free Consultation Contact Us', ['1'] );
		kitar_general_fields( $this, 'button_text', 'Button Text', 'TEXT', 'Contact Us', [ '1' ] );
		kitar_url_fields( $this, 'button_url', 'Button URL', [ '1' ] ); 
			
        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Subtitle Style-------
		kitar_common_style_fields( $this, 'subtitle', 'Subtitle', '{{WRAPPER}} .sub', ['1'] );
		//-------Title Style------- 
		kitar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title', ['1'] );
		//------Button Style-------
		kitar_button_style_fields($this, '10', 'Button Styling', '{{WRAPPER}} .th_btn', ['1']);

	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="cta-area overflow-hidden" data-bg-src="'.esc_url( $settings['image1']['url'] ).'">';
                echo '<div class="container">';
                    echo '<div class="cta-cloud" data-bg-src="'.esc_url( $settings['image2']['url'] ).'">';
                        echo '<div class="title-area mb-20">';
							if($settings['subtitle']){
								echo '<span class="sub-title sub">'.wp_kses_post($settings['subtitle']).'</span>';
							}
							if($settings['title']){
								echo '<h2 class="sec-title title">'.wp_kses_post($settings['title']).'</h2>';
							}
                        echo '</div>';
						if(!empty($settings['button_text'])){
							echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
						}
                    echo '</div>';
                echo '</div>';
            echo '</div>';


		}elseif( $settings['layout_style'] == '2' ){
			

		}
		

	}

}