<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Download Widget . 
 *
 */
class kitar_Download extends Widget_Base {

	public function get_name() {
		return 'kitardownload';
	}
	public function get_title() {
		return __( 'Download', 'kitar' ); 
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'download_section',
			[
				'label' 	=> __( 'Download', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One' ] );    

		kitar_general_fields( $this, 'button_text', 'Button Text', 'TEXTAREA2', 'Button Text' );
		kitar_general_fields( $this, 'button_icon', 'Button Icon', 'TEXTAREA2', '<i class="fal fa-file-pdf"></i>' );
		kitar_url_fields( $this, 'button_url', 'Button URL' );
		
		kitar_general_fields( $this, 'button_text2', 'Button Text 2', 'TEXTAREA2', 'Button Text' );
        kitar_general_fields( $this, 'button_icon2', 'Button Icon 2', 'TEXTAREA2', '<i class="fal fa-file-lines"></i>' );
		kitar_url_fields( $this, 'button_url2', 'Button URL 2' );

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		kitar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .widget_title' );

	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="widget widget_download">';
				if($settings['title']){
					echo '<h4 class="widget_title">'.wp_kses_post($settings['title']).'</h4>';
				}
				echo '<div class="donwload-media-wrap">';
                    if(!empty($settings['button_text'])){
                        echo '<div class="download-media">';
                            if(!empty($settings['button_icon'])){
                                echo '<div class="download-media_icon">'.wp_kses_post( $settings['button_icon'] ).'</div>';
                            }
                            echo '<div class="download-media_info">';
                                echo '<h5 class="download-media_title">'.wp_kses_post( $settings['button_text'] ).'</h5>';
                            echo '</div>';
                            echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="download-media_btn"><i class="far fa-arrow-right"></i></a>';
                        echo '</div>';
                    }
                    if(!empty($settings['button_text2'])){
                        echo '<div class="download-media">';
                            if(!empty($settings['button_icon2'])){
                                echo '<div class="download-media_icon">'.wp_kses_post( $settings['button_icon2'] ).'</div>';
                            }
                            echo '<div class="download-media_info">';
                                echo '<h5 class="download-media_title">'.wp_kses_post( $settings['button_text2'] ).'</h5>';
                            echo '</div>';
                            echo '<a href="'.esc_url( $settings['button_url2']['url'] ).'" class="download-media_btn"><i class="far fa-arrow-right"></i></a>';
                        echo '</div>';
                    }
				echo '</div>';
			echo '</div>';

		}


	}

}