<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Event Widget .
 *
 */
class Kitar_Event_Widgets extends Widget_Base {

	public function get_name() {
		return 'kitareventwidgets';
	}
	public function get_title() {
		return __( 'Event Widgets', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'arrow_section',
			[
				'label'     => __( 'Event Widgets', 'kitar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One' ] );


        kitar_general_fields( $this, 'title', 'Title', 'TEXTAREA2', 'Title', ['1'] );

		// Layout Style 1
		$fields_to_include = [ 'image' => ['Icon'], 'title' => [ 'Title'], 'desc' => ['Description']  ];
		kitar_repeater_fields( $this, 'feature_lists', 'Features List', $fields_to_include, [ '1' ] ); 

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		kitar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .widget_title', [ '1' ] );


	}

	protected function render() {

    $settings = $this->get_settings_for_display(); 

		if( $settings['layout_style'] == '1' ){
            echo '<div class="widget widget_info  ">';
                if(!empty($settings['title'])){
                    echo '<h3 class="widget_title style2">'.esc_html($settings['title']).'</h3>';
                }
                echo '<div class="info-list">';
                    echo '<ul>';
                        foreach( $settings['feature_lists'] as $data ){
                            echo '<li>';
                                echo kitar_img_tag( array(
                                    'url'   => esc_url( $data['icon']['url'] ),
                                ));
                                echo '<div>';
                                    if(!empty($data['title'])){
                                        echo '<h6 class="title">'.esc_html($data['title']).'</h6>';
                                    }
                                    if(!empty($data['description'])){
                                        echo wp_kses_post($data['description']);
                                    }
                                echo '</div>';
                            echo '</li>';
                        }
                    echo '</ul>';
                echo '</div>';
            echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){


		}
		
			
	}
}