<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Event Widget .
 *
 */
class Kitar_Event extends Widget_Base {

	public function get_name() {
		return 'kitarevent';
	}
	public function get_title() {
		return __( 'Events', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'event_section',
			[
				'label'     => __( 'Events', 'kitar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One' ] );

		$repeater = new Repeater();

		kitar_media_fields( $repeater, 'image', 'Image' );
		kitar_general_fields( $repeater, 'title', 'Title', 'TEXTAREA2', 'Dj Mixer Isolated Music Fest' );
		kitar_general_fields( $repeater, 'desc', 'Description', 'TEXTAREA', '' );
		kitar_general_fields( $repeater, 'meta', 'Meta 1', 'TEXTAREA', 'Four Seasons Hotel' );
		kitar_general_fields( $repeater, 'meta2', 'Meta 2', 'TEXTAREA', '' );
		kitar_url_fields( $repeater, 'button_url', 'Button URL' );

		$this->add_control(
			'event_list',
			[
				'label' 		=> __( 'Event Lists', 'kitar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'image'	=> Utils::get_placeholder_image_src(),
					],
				],
				'condition'		=> [ 
					'layout_style' => [ '1'],
				],
			]
		);
		
		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		kitar_common2_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title a', ['1', '2', '3'] );
		//-------Description Style-------
		kitar_common_style_fields( $this, 'desc2', 'Description', '{{WRAPPER}} .desc', ['1', '3'] );

	}

	protected function render() {

        $settings = $this->get_settings_for_display(); 

		if( $settings['layout_style'] == '1' ){
			echo '<div class="row gy-30">';
				foreach( $settings['event_list'] as $data ){
					echo '<div class="col-md-6 event-card_wrapp">';
						echo '<div class="event-card">';
							if(!empty($data['image']['url'])){
								echo '<div class="event-card_img" data-mask-src="'.KITAR_ASSETS.'img/shape/event_bg-shape.png">';
									echo kitar_img_tag( array(
										'url'   => esc_url( $data['image']['url'] ),
									));
								echo '</div>';
							}
							echo '<div class="event-card_content">';
								if(!empty($data['title'])){
									echo '<h3 class="box-title title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
								}
								if(!empty($data['desc'])){
									echo '<p class="event-card_tex desc">'.esc_html($data['desc']).'</p>';
								}
								if( !empty($data['meta'] || $data['meta2']) ){
									if(!empty($data['meta'])){
										echo '<span class="th-btn">'.wp_kses_post($data['meta']).'</span>';
									}
									if(!empty($data['meta2'])){
										echo '<span class="th-btn">'.wp_kses_post($data['meta2']).'</span>';
									}
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			

		}


	}

}