<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
use \Elementor\Group_Control_Background;
/**
 * 
 * Footer Widgets .
 *
 */
class Kitar_Footer_Widgets extends Widget_Base {

	public function get_name() {
		return 'kitarfooterwidgets';
	}
	public function get_title() {
		return __( 'Footer Widgets', 'kitar' ); 
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
			'layout_section',
			[
				'label'     => __( 'Footer Widget Style', 'kitar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One', 'Style Two', 'Style Three', 'Style Four', 'Style Five' ] );

        kitar_media_fields( $this, 'logo', 'Choose Logo', ['1', '5'] );
		kitar_general_fields( $this, 'title', 'Title', 'TEXT', 'Title', ['2', '3', '4'] );
		kitar_general_fields( $this, 'desc', 'Description', 'TEXTAREA', '', ['1', '2'] );
        
        kitar_common_repeater_field($this, 'contact', 'Contact', [ 'text'  ], ['1', '3', '4']);
        

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		kitar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title2', ['2', '3', '4' ] );

		//-------Description Style-------
		kitar_common_style_fields( $this, 'desc', 'Description', '{{WRAPPER}} .desc', ['1', '2'] );

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
            echo '<div class="widget footer-widget">';
                echo '<div class="th-widget-about">';
                    if(!empty($settings['logo']['url'])){
                        echo '<div class="about-logo">';
                            echo '<a href="'.esc_url( home_url('/') ).'">';
                                echo kitar_img_tag( array(
                                    'url'   => esc_url( $settings['logo']['url'] ),
                                ));
                            echo '</a>';
                        echo '</div>';
                    }
                    if($settings['desc']){
                        echo '<p class="about-text desc">'.wp_kses_post($settings['desc']).'</p>';
                    }
                    echo '<div class="th-widget-contact">';
                        foreach( $settings['contact'] as $data ){
                            if(!empty($data['contact_text'])){
                                echo '<p class="footer-info">'.wp_kses_post($data['contact_text']).'</p>';
                            }
                        }
                    echo '</div>';
                echo '</div>';
            echo '</div>'; 

		}elseif( $settings['layout_style'] == '2' ){
            echo '<div class="widget footer-widget">';
                echo '<div class="th-widget-about">';
                    if($settings['title']){
                        echo '<h3 class="widget_title title">'.wp_kses_post($settings['title']).'</h3>';
                    }
                    if($settings['desc']){
                        echo '<p class="about-text mb-0 desc">'.wp_kses_post($settings['desc']).'</p>';
                    }

                echo '</div>';
            echo '</div>';
            
		}elseif( $settings['layout_style'] == '3' ){
            echo '<div class="widget footer-widget">';
                if($settings['title']){
                    echo '<h3 class="widget_title title">'.wp_kses_post($settings['title']).'</h3>';
                }
                echo '<div class="th-widget-schedule">';
                    foreach( $settings['contact'] as $data ){
                        if(!empty($data['contact_text'])){
                            echo '<p class="schedule-info">'.wp_kses_post($data['contact_text']).'</p>';
                        }
                    }
                echo '</div>';
            echo '</div>';

        }elseif( $settings['layout_style'] == '4' ){
            echo '<div class="widget footer-widget">';
                if($settings['title']){
                    echo '<h3 class="widget_title title">'.wp_kses_post($settings['title']).'</h3>';
                }
                echo '<div class="th-widget-contact">';
                    foreach( $settings['contact'] as $data ){
                        if(!empty($data['contact_text'])){
                            echo '<p class="footer-info">'.wp_kses_post($data['contact_text']).'</p>';
                        }
                    }
                echo '</div>';
            echo '</div>';

        }elseif( $settings['layout_style'] == '5' ){
            echo '<div class="shape-top overflow-hidden" data-mask-src="'.KITAR_ASSETS.'img/shape/shape3.png"></div>';
            echo '<div class="footer-logo3 text-center">';
                if(!empty($settings['logo']['url'])){
                    echo '<div class="footer-shape">';
                        echo '<a href="'.esc_url( home_url('/') ).'">';
                            echo kitar_img_tag( array(
                                'url'   => esc_url( $settings['logo']['url'] ),
                            ));
                        echo '</a>';
                    echo '</div>';
                }
            echo '</div> ';
        }
	

	}
}
						