<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Gallery Widget .
 *
 */
class Kitar_Gallery extends Widget_Base {

	public function get_name() {
		return 'kitargallery';
	}
	public function get_title() {
		return __( 'Gallery', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'counter_section',
			[
				'label' 	=> __( 'Gallery', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        ); 

		kitar_select_field( $this, 'layout_style', 'Layout Style', ['Style One', 'Style Two', 'Style Three'] );
		
		// $this->add_control(
		// 	'gallery',
		// 	[
		// 		'label' => esc_html__( 'Add Gallery Slider', 'kitar' ), 
		// 		'type' => \Elementor\Controls_Manager::GALLERY,
		// 		'default' => [],
		// 	]
		// );

		kitar_common_repeater_field($this, 'gallery1', 'Gallery', [ 'image', 'icon2' ], ['1']);
		kitar_common_repeater_field($this, 'gallery2', 'Gallery', [ 'image', 'title', 'text', 'icon2', 'link' ], ['2']);

		$repeater = new Repeater();

		kitar_media_fields($repeater, 'image', 'Choose Image');
		kitar_general_fields($repeater, 'icon', 'Icon', 'TEXTAREA2', '<i class="fas fa-eye"></i>');
		$repeater->add_control(
			'color',
			[
				'label' => esc_html__( 'Color', 'kitar' ),
				'type' => \Elementor\Controls_Manager::COLOR,
			]
		);
		
		$this->add_control(
			'gallery3',
			[
				'label' 		=> __( 'Gallery', 'kitar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'condition'	=> [
					'layout_style' => ['3']
				]
			]
		);

		$this->end_controls_section();

		//---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		kitar_common2_style_fields($this, 'title', 'Title', '{{WRAPPER}} .title a', ['2']);
		kitar_common_style_fields($this, 'desc', 'Descriptin', '{{WRAPPER}} .desc', ['2']);

	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="row gy-30 gallery-row filter-active overlay-direction">';
				foreach ( $settings['gallery1'] as $data ){
					echo '<div class="col-xxl-auto col-md-6 filter-item">';
						echo '<div class="gallery-card">';
							echo '<a class="box-img popup-image" href="'.esc_url( $data['gallery_image']['url'] ).'">';
								echo kitar_img_tag( array(
									'url'   => esc_url( $data['gallery_image']['url'] ),
								));
								if(!empty($data['gallery_icon2'])){
									echo '<div class="box-content">';
										echo '<span class="icon-btn style2">'.wp_kses_post($data['gallery_icon2']).'</span>';
									echo '</div>';
								}
							echo '</a>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			echo '<div class="gallerySlide3 swiper th-slider" id="gallerySlide3" data-slider-options=\'{ "effect": "coverflow", "grabCursor": true, "centeredSlides":true,"slidesPerView":2,"initialSlide": 5,"coverflowEffect": { "rotate": 0,"stretch": 0,  "depth": 100,"modifier":10,"slideShadows": false}}\'>';
				echo '<div class="swiper-wrapper">';
					foreach ( $settings['gallery2'] as $data ){
						echo '<div class="swiper-slide">';
							echo '<div class="gallery-box">';
								echo '<div class="gallery-img">';
									echo kitar_img_tag( array(
										'url'   => esc_url( $data['gallery_image']['url'] ),
									));
								echo '</div>';
								echo '<div class="gallery-content">';
									echo '<div class="media-left">';
										if(!empty($data['gallery_icon2'])){
											echo '<a href="'.esc_url( $data['gallery_image']['url'] ).'" class="icon-btn popup-image">'.wp_kses_post($data['gallery_icon2']).'</a>';
										}
										if(!empty($data['gallery_title'])){
											echo '<h4 class="box-title title">';
												echo '<a href="'.esc_url( $data['gallery_link']['url'] ).'">'.wp_kses_post($data['gallery_title']).'</a>';
											echo '</h4>';
										}
										if(!empty($data['gallery_text'])){
											echo '<span class="gallery-subtitle desc">'.wp_kses_post($data['gallery_text']).'</span>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
				echo '<button data-slider-prev="#gallerySlide3" class="slider-arrow slider-prev"><i class="far fa-arrow-left"></i></button>';
				echo '<button data-slider-next="#gallerySlide3" class="slider-arrow slider-next"><i class="far fa-arrow-right"></i></button>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="row gy-30 gallery-row filter-active overlay-direction">';
				foreach ( $settings['gallery3'] as $data ){
					echo '<div class="col-md-6 col-xl-auto filter-item gallery-card_wrapp">';
						echo '<div class="gallery-card style2" data-theme-color="'.esc_attr($data['color']).'">';
							echo '<a class="box-img popup-image" href="'.esc_url( $data['image']['url'] ).'">';
								echo kitar_img_tag( array(
									'url'   => esc_url( $data['image']['url'] ),
								));
								if(!empty($data['icon'])){
									echo '<div class="box-content">';
										echo '<span class="icon-btn style2">'.wp_kses_post($data['icon']).'</span>';
									echo '</div>';
								}
							echo '</a>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}


		
	}

}