<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
/**
 *
 * Image Widget .
 *
 */
class Kitar_Image extends Widget_Base {

	public function get_name() {
		return 'kitarimage';
	}
	public function get_title() {
		return __( 'Image', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'image_section',
			[
				'label' 	=> __( 'Image', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One', 'Style Two', 'Style Three', 'Style Four', 'Style Five', 'Style Six', 'Style Seven' ] );

		kitar_media_fields( $this, 'image', 'Choose Image' );
		kitar_media_fields( $this, 'image2', 'Choose Image', [ '1'] );
		kitar_media_fields( $this, 'shape', 'Choose Shape', [ '1', '4'] );
		kitar_media_fields( $this, 'shape2', 'Choose Shape', [ '1', '4'] );
		kitar_media_fields( $this, 'shape3', 'Choose Shape', [ '1'] );
		kitar_media_fields( $this, 'icon', 'Choose Icon', [ '4'] );
		kitar_general_fields( $this, 'title', 'Title', 'TEXTAREA2', '30', ['4'] );
		kitar_general_fields( $this, 'desc', 'Description', 'TEXTAREA2', 'Award.', ['4'] );


       $this->end_controls_section();

      	//---------------------------------------
			//Style Section Start
		//---------------------------------------
		

	}

	protected function render() {

        $settings = $this->get_settings_for_display();
       
		if( $settings['layout_style'] == '1' ){
			echo '<div class="img-box1">';
				if(!empty($settings['image']['url'])){
					echo '<div class="img1" data-bg-src="'.esc_url( $settings['shape2']['url'] ).'">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['image']['url'] ),
						));
					echo '</div>';
				}
				if(!empty($settings['image2']['url'])){
					echo '<div class="img1 style2 ding-dong" data-bg-src="'.esc_url( $settings['shape3']['url'] ).'">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['image2']['url'] ),
						));
					echo '</div>';
				}
				if(!empty( esc_url( $settings['shape']['url'] ))){
					echo '<div class="about-shape spin">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['shape']['url'] ),
						));
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			if(!empty($settings['image']['url'])){
				echo '<div class="img-box2 mt-50 mt-xl-0">';
					echo '<div class="img1">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['image']['url'] ),
						));
					echo '</div>';
				echo '</div>';
			}

		}elseif( $settings['layout_style'] == '3' ){ 
			if(!empty($settings['image']['url'])){
				echo '<div class="faq-img1 ms-xl-5 ps-2">';
					echo '<div class="img1">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['image']['url'] ),
						));
					echo '</div>';
				echo '</div>';
			}

		}elseif( $settings['layout_style'] == '4' ){
			echo '<div class="img-box3 me-xl-5 pe-xl-2">';
				if(!empty($settings['image']['url'])){
					echo '<div class="img1">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['image']['url'] ),
						));
					echo '</div>';
				}
				if(!empty( esc_url( $settings['shape']['url'] ))){
					echo '<div class="about-shape">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['shape']['url'] ),
						));
					echo '</div>';
				}
				if(!empty( esc_url( $settings['shape2']['url'] ))){
					echo '<div class="about-shape2">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['shape2']['url'] ),
						));
					echo '</div>';
				}
				echo '<div class="th-experience movingX">';
					echo '<div class="th-experience_content">';
						if(!empty($settings['title'])){
							echo '<h2 class="experience-year">';
								echo kitar_img_tag( array(
									'url'   => esc_url( $settings['icon']['url'] ),
								));
								echo wp_kses_post($settings['title']);
							echo '</h2>';
						}
						if(!empty($settings['desc'])){
							echo '<p class="experience-text">'.wp_kses_post($settings['desc']).'</p>';
						}
					echo '</div>';
					echo '<div class="about-shape3"></div>';
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '5' ){
			echo '<div class="app-mockup download-mockup movingX">';
				echo kitar_img_tag( array(
					'url'   => esc_url( $settings['image']['url'] ),
				));
			echo '</div>';

		}elseif( $settings['layout_style'] == '6' ){
			if(!empty( esc_url( $settings['image']['url'] ))){
				echo '<div class="choose-image">';
					echo kitar_img_tag( array(
						'url'   => esc_url( $settings['image']['url'] ),
					));
				echo '</div>';
			}

		}elseif( $settings['layout_style'] == '7' ){
			if(!empty( esc_url( $settings['image']['url'] ))){
				echo '<div class="page-img">';
					echo kitar_img_tag( array(
						'url'   => esc_url( $settings['image']['url'] ),
					));
				echo '</div>';
			}
			
		}


	}

}