<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Marquee Widget .
 *
 */
class Kitar_Marquee extends Widget_Base {

	public function get_name() {
		return 'kitarmarquee';
	}
	public function get_title() {
		return __( 'Marquee', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'arrow_section',
			[
				'label'     => __( 'Marquee', 'kitar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style',[ 'Style One' ] );

        kitar_switcher_fields( $this, 'show_icon', 'Show Countdown?', ['1'] );

		// Layout Style 1
		$fields_to_include = [ 'title' => ['Title'], 'url' => ['Link'] ];
		kitar_repeater_fields( $this, 'marquee_lists', 'Marquees List', $fields_to_include, [ '1' ] );

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

	}

	protected function render() {

    $settings = $this->get_settings_for_display(); 

		if( $settings['layout_style'] == '1' ){
            echo '<div class="swiper th-slider newsticker-slider" id="newsticker1" data-slider-options=\'{"breakpoints":{"0":{"slidesPerView":"auto"}},"autoplay":{"delay":1,"disableOnInteraction":false},"noSwiping":"true","speed":3000,"spaceBetween":40}\'>';
                echo '<div class="swiper-wrapper">';
                    foreach( $settings['marquee_lists'] as $data ){
                        echo '<div class="swiper-slide">';
                            echo '<div class="newsticker-list">';
                                echo '<a href="'.esc_url( $data['link']['url'] ).'">';
                                    if($settings['show_icon'] == 'yes'){
                                        echo '<svg width="31" height="31" viewBox="0 0 31 31" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <path d="M29.5371 8.75642L22.739 16.3091L22.4959 16.5792L22.6775 16.8938L27.7559 25.6941L18.4761 21.5616L18.1443 21.4139L17.9012 21.6839L11.1032 29.2366L12.166 19.1299L12.204 18.7685L11.8722 18.6208L2.59234 14.4883L12.529 12.3745L12.8843 12.2989L12.9223 11.9375L13.9851 1.83084L19.0635 10.6312L19.2451 10.9458L19.6004 10.8702L29.5371 8.75642Z" stroke="white" />
                                        </svg>';
                                    }
                                    echo wp_kses_post($data['title']);
                                echo '</a>';
                            echo '</div>';
                        echo '</div>';
                    }
                echo '</div>';
            echo '</div>';


		}elseif( $settings['layout_style'] == '2' ){
		

		}
		
			
	}
}