<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
use \Elementor\Group_Control_Background;
/**
 * 
 * Newsletter Widget .
 *
 */
class Kitar_Newsletter extends Widget_Base {

	public function get_name() {
		return 'kitarnewsletter';
	}
	public function get_title() {
		return __( 'Newsletter', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
			'layout_section',
			[
				'label'     => __( 'Newsletter Style', 'kitar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One', 'Style Two', 'Style Three' ] );
		
		kitar_general_fields( $this, 'title', 'Title', 'TEXT', 'Sign Up For Newsletter', ['1', '2', '3'] );
		kitar_general_fields( $this, 'newsletter_placeholder', 'Placeholder', 'TEXT', 'Enter your Email' );
		kitar_general_fields( $this, 'newsletter_button', 'Subscribe Button', 'TEXT', 'Subscribe' );

		kitar_media_fields( $this, 'shape', 'Choose Shape', ['1'] );
		kitar_media_fields( $this, 'shape2', 'Choose Shape 2', ['1'] );

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		kitar_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .title', ['1', '2', '3'] );
		

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="newsletter-sec overflow-hodden">';
				echo '<div class="container shape-mockup-wrap">';
					echo '<div class="row justify-content-center">';
						echo '<div class="col-12 col-lg-6 col-xl-8">';
							echo '<div class="newsletter-widget">';
								if($settings['title']){
									echo '<h4 class="h2 newsletter-title title">'.wp_kses_post($settings['title']).'</h4>';
								}
								echo '<form class="newsletter-form style2">';
									echo '<input class="form-control" type="email" placeholder="'.esc_attr( $settings['newsletter_placeholder'] ).'" required="">';
                    				echo '<button type="submit" class="th-btn style4">'.wp_kses_post( $settings['newsletter_button'] ).'</button>';
								echo '</form>';
							echo '</div>';
						echo '</div>';
					echo '</div>';
					if(!empty($settings['shape']['url'])){
						echo '<div class="shape-mockup movingX d-none d-xxl-block" data-bottom="-8%" data-left="0%">';
							echo kitar_img_tag( array(
								'url'   => esc_url( $settings['shape']['url'] ),
							));
						echo '</div>';
					}
					if(!empty($settings['shape2']['url'])){
						echo '<div class="shape-mockup movingX d-none d-xxl-block" data-bottom="-8%" data-right="0%">';
							echo kitar_img_tag( array(
								'url'   => esc_url( $settings['shape2']['url'] ),
							));
						echo '</div>';
					}
				echo '</div>';
				echo '<div class="newsletter-shape" data-mask-src="'.KITAR_ASSETS.'img/shape/newsletter-shape.png"></div>';
				echo '<div class="newsletter-shape2" data-mask-src="'.KITAR_ASSETS.'img/shape/newsletter-shape2.png"></div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			echo '<div class="newsletter-area">';
				echo '<div class="newsletter-shape" data-mask-src="'.KITAR_ASSETS.'img/shape/newsletter_bottom_shape.png"></div>';
				echo '<div class="container">';
					echo '<div class="newsletter-top">';
						echo '<div class="row align-items-center">';
							if($settings['title']){
							echo '<div class="col-lg-6">';
								echo '<h2 class="newsletter-title title">'.wp_kses_post($settings['title']).'</h2>';
							echo '</div>';
							}
							echo '<div class="col-lg-6">';
								echo '<form class="newsletter-form">';
									echo '<div class="form-group">';
										echo '<input class="form-control " type="email" placeholder="'.esc_attr( $settings['newsletter_placeholder'] ).'" required="">';
									echo '</div>';
									echo '<button type="submit" class="th-btn">'.wp_kses_post( $settings['newsletter_button'] ).'</button>';
								echo '</form>';
							echo '</div>';
						echo '</div>';
					echo '</div>';
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="newsletter-area2">';
				echo '<div class="newsletter-top">';
					echo '<div class="row align-items-center">';
						if($settings['title']){
						echo '<div class="col-lg-5">';
							echo '<h3 class="newsletter-title text-capitalize title fw-semibold me-xl-5">'.wp_kses_post($settings['title']).'</h3>';
						echo '</div>';
						}
						echo '<div class="col-lg-7">';
							echo '<form class="newsletter-form style3">';
								echo '<input class="form-control " type="email" placeholder="'.esc_attr( $settings['newsletter_placeholder'] ).'" required="">';
								echo '<button type="submit" class="th-btn style1">'.wp_kses_post( $settings['newsletter_button'] ).'</button>';
							echo '</form>';
						echo '</div>';
					echo '</div>';
				echo '</div>';
			echo '</div>';

		}
	

	}
}
						