<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Price Widget .
 *
 */
class Kitar_Price extends Widget_Base {

	public function get_name() {
		return 'kitarprice';
	}
	public function get_title() {
		return __( 'Price Box', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'price_section',
			[
				'label' 	=> __( 'Price Box', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One' ] );


		//Style 1
		$fields_to_include = [ 'title' => ['Title'], 'desc' => ['Price', 'Features'], 'btn' => ['Button Text'], 'url' => ['Button URL'] ];
		kitar_repeater_fields( $this, 'price_lists', 'Price Lists', $fields_to_include, ['1'] );

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		kitar_common_style_fields( $this, 'tag', 'Title', '{{WRAPPER}} .title' );
		kitar_common_style_fields( $this, 'price', 'Price', '{{WRAPPER}} .price' );
		kitar_common_style_fields( $this, 'features', 'Features', '{{WRAPPER}} .available-list li' );
		//------Button Style-------
		kitar_button_style_fields( $this, '11', 'Button Styling', '{{WRAPPER}} .th_btn' );

	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="row gy-4 gx-30 justify-content-center">';
				foreach( $settings['price_lists'] as $key => $data ){
					echo '<div class="col-xl-4 col-md-6 price-card_wrapper">';
						echo '<div class="price-card th-ani ">';
							echo '<div class="price-card_wrapp">'; 
								if(!empty($data['title'])){
									echo '<h3 class="price-card_title title">'.esc_html($data['title']).'</h3>';
								}
								echo '<div class="price-shape" data-mask-src="'.KITAR_ASSETS.'img/shape/price-shape.png"></div>';
								echo '<div class="price-shape2" data-mask-src="'.KITAR_ASSETS.'img/shape/price-shape2.png"></div>';
							echo '</div>';
							echo '<div class="price-card_content">';
								if(!empty($data['price'])){
									echo '<h4 class="price-card_price price">'.wp_kses_post($data['price']).'</h4>';
								}
								if(!empty($data['features'])){
									echo '<div class="available-list">'.wp_kses_post($data['features']).'</div>';
								}
								if(!empty($data['button_text'])){
									echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th-icon th_btn">'.wp_kses_post($data['button_text']).'</a>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			

		}


	}

}