<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Project Widget .
 *
 */
class kitar_Project extends Widget_Base {

	public function get_name() {
		return 'kitarproject';
	}
	public function get_title() {
		return __( 'Projects', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'project_section',
			[
				'label'		 	=> __( 'Projects', 'kitar' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style',[ 'Style One', 'Style Two', 'Style Three' ] );

		$fields_to_include = [ 'image' => ['Choose Image'], 'title' => [ 'Subtitle', 'Title'], 'url' => ['URL'] ];
		kitar_repeater_fields( $this, 'project_lists', 'Project Lists', $fields_to_include, ['1', '2', '3'] );

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------
		
		//-------Title Style-------
		kitar_common2_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title a' );
		//-------Description Style-------
		kitar_common_style_fields( $this, 'desc', 'Description', '{{WRAPPER}} .desc' );

	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="slider-area">';
                echo '<div class="swiper th-slider has-shadow project-slider" id="projectSlider1" data-slider-options=\'{"centeredSlides":true,"loop":true,"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"1"},"992":{"slidesPerView":"3"},"1200":{"slidesPerView":"3"},"1400":{"slidesPerView":"3"}}}\'>';
                    echo '<div class="swiper-wrapper">';
						foreach( $settings['project_lists'] as $key => $data ){
							echo '<div class="swiper-slide">';
								echo '<div class="project-card">';
									if(!empty($data['choose_image']['url'])){
										echo '<div class="project-img">';
											echo kitar_img_tag( array(
												'url'   => esc_url( $data['choose_image']['url'] ),
											));
										echo '</div>';
									}
									echo '<div class="project-content">';
										if(!empty($data['subtitle'])){
											echo '<p class="project-subtitle desc">'.esc_html($data['subtitle']).'</p>';
										}
										if(!empty($data['title'])){
											echo '<h3 class="box-title title"><a href="'.esc_url( $data['url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
						}
                    echo '</div>';
                    echo '<div class="slider-pagination"></div>';
                echo '</div>';
				echo '<button data-slider-prev="#projectSlider1" class="slider-arrow slider-prev"><i class="far fa-arrow-left"></i></button>';
                echo '<button data-slider-next="#projectSlider1" class="slider-arrow slider-next"><i class="far fa-arrow-right"></i></button>';
            echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			echo '<div class="slider-area project-slider2">';
                echo '<div class="swiper th-slider has-shadow" id="projectSlider2" data-slider-options=\'{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"3"},"1200":{"slidesPerView":"4"}}}\'>';
                    echo '<div class="swiper-wrapper">';
						foreach( $settings['project_lists'] as $key => $data ){
							echo '<!-- Single Item -->';
							echo '<div class="swiper-slide">';
								echo '<div class="project-box">';
									if(!empty($data['choose_image']['url'])){
										echo '<div class="project-box-img">';
											echo kitar_img_tag( array(
												'url'   => esc_url( $data['choose_image']['url'] ),
											));
										echo '</div>';
									}
									echo '<div class="project-box-content">';
										if(!empty($data['subtitle'])){
											echo '<p class="project-subtitle desc">'.esc_html($data['subtitle']).'</p>';
										}
										if(!empty($data['title'])){
											echo '<h3 class="box-title title"><a href="'.esc_url( $data['url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
										}
										echo '<a href="'.esc_url( $data['choose_image']['url'] ).'" class="gallery-btn popup-image"><i class="fa-regular fa-plus"></i></a>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
						}
                    echo '</div>';
                    echo '<div class="slider-pagination"></div>';
                echo '</div>';
            echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="slider-area">';
                echo '<div class="swiper th-slider has-shadow project-slider4" id="projectSlider4" data-slider-options=\'{"paginationType":"fraction","centeredSlides":true,"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"3"},"1200":{"slidesPerView":"3"},"1400":{"slidesPerView":"3"}}}\'>';
                    echo '<div class="swiper-wrapper">';
						foreach( $settings['project_lists'] as $key => $data ){
							echo '<div class="swiper-slide">';
								echo '<div class="project-item style2">';
									if(!empty($data['choose_image']['url'])){
										echo '<div class="project-item-img">';
											echo kitar_img_tag( array(
												'url'   => esc_url( $data['choose_image']['url'] ),
											));
										echo '</div>';
									}
									echo '<div class="project-item-content">';
										if(!empty($data['title'])){
											echo '<h3 class="box-title title"><a href="'.esc_url( $data['url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
										}
										if(!empty($data['subtitle'])){
											echo '<p class="project-subtitle desc">'.esc_html($data['subtitle']).'</p>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
						}
                    echo '</div>';
                    echo '<div class="slider-pagination"></div>';
                    echo '<div class="border-line"></div>';
                echo '</div>';
            echo '</div>';

		}
	

	}

}