<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Step Widget .
 *
 */
class kitar_Step extends Widget_Base {

	public function get_name() {
		return 'kitarstep';
	}
	public function get_title() {
		return __( 'Step/Process', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Steps', 'kitar' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style',[ 'Style One', 'Style Two', 'Style Three' ] );

		kitar_media_fields( $this, 'bg', 'Choose Background', ['1', '2']  );
		kitar_media_fields( $this, 'icon', 'Subtitle Icon', ['3']  );
		kitar_general_fields( $this, 'subtitle', 'Subtitle', 'TEXTAREA2', 'Work Process', ['1', '3'] );
		kitar_general_fields( $this, 'title', 'Title', 'TEXTAREA2', 'How It Work', ['1', '3'] );
		kitar_general_fields( $this, 'desc', 'Description', 'TEXTAREA', '', ['1'] );
		kitar_general_fields( $this, 'button_text', 'Button Text', 'TEXT', 'Get In Touch', ['1'] );
		kitar_url_fields( $this, 'button_url', 'Button URL', ['1'] );

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------
		
		//-------General Style-------
		$this->start_controls_section(
			'general_styling',
			[
				'label'     => __( 'General', 'kitar' ),
				'tab'       => Controls_Manager::TAB_STYLE,
				'condition'		=> [ 
					'layout_style' => [ '1']
				],
			]
		);

		kitar_color_fields( $this, 'bg-color', 'Content Background', 'background', '{{WRAPPER}} .process-content' );   

		$this->end_controls_section();
		
		//-------Subtitle Style-------
		kitar_common_style_fields($this, 'subtitle', 'Section Subtitle', '{{WRAPPER}} .sub-title', ['1', '3'],'--theme-color' );
		//-------Title Style-------
		kitar_common_style_fields($this, 'title', 'Section Title', '{{WRAPPER}} .sec-title', ['1', '3'] );
		//-------Description Style-------
		kitar_common_style_fields($this, 'desc', 'Section Description', '{{WRAPPER}} .sec-text', ['1'] );
		//------Button Style-------
		kitar_button_style_fields($this, '10', 'Button Styling', '{{WRAPPER}} .th_btn', ['1'] );

		//-------Title Style-------
		kitar_common_style_fields( $this, 'subtitle2', 'Subtitle', '{{WRAPPER}} .sub' );
		//-------Title Style-------
		kitar_common_style_fields( $this, 'title2', 'Title', '{{WRAPPER}} .title' );
		//-------Description Style-------
		kitar_common_style_fields( $this, 'desc2', 'Description', '{{WRAPPER}} .desc' );

	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="process-area" data-bg-src="'.esc_url( $settings['bg']['url'] ).'">';
				echo '<div class="process-content">';
					echo '<div class="title-area mb-25">';
						if(!empty($settings['subtitle'])){
							echo '<span class="sub-title style1">'.wp_kses_post($settings['subtitle']).'</span>';
						}
						if(!empty($settings['title'])){
							echo '<h2  class="sec-title">'.wp_kses_post($settings['title']).'</h2>';
						}
						if(!empty($settings['desc'])){
							echo '<p class="sec-text">'.wp_kses_post($settings['desc']).'</p>';
						}
					echo '</div>';
					if(!empty($settings['button_text'])){
						echo '<div><a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn style1 th-icon th_btn">'.wp_kses_post($settings['button_text']).'</a></div>';
					}
				echo '</div>';
				echo '<div class="process-box_wrap">';
					foreach( $settings['process'] as $key => $data ){
						echo '<div class="process-box">';
							if(!empty($data['process_icon']['url'])){
								echo '<div class="process-box_icon">';
									echo kitar_img_tag( array(
										'url'   => esc_url( $data['process_icon']['url'] ),
									));
								echo '</div>';
							}
							echo '<div class="process-box_content">';
								if(!empty($data['process_subtitle'])){
									echo '<p class="box-number sub">'.esc_html($data['process_subtitle']).'</p>';
								}
								if(!empty($data['process_title'])){
									echo '<h3 class="box-title title">'.esc_html($data['process_title']).'</h3>';
								}
								if(!empty($data['process_text'])){
									echo '<p class="process-box_text desc">'.esc_html($data['process_text']).'</p>';
								}
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			echo '<div class="step-wrap style2">';
				if(!empty($settings['bg']['url'])){
					echo '<div class="process-line">';
						echo kitar_img_tag( array(
							'url'   => esc_url( $settings['bg']['url'] ),
						));
					echo '</div>';
				}
                echo '<div class="row">';
					foreach( $settings['process'] as $key => $data ){
						echo '<div class="col-md-6 col-lg-3 process-item-wrap">';
							echo '<div class="process-item">';
								if(!empty($data['process_icon']['url'])){
									echo '<div class="process-item_icon">';
										echo kitar_img_tag( array(
											'url'   => esc_url( $data['process_icon']['url'] ),
										));
									echo '</div>';
								}
								echo '<div class="process-item_content">';
									if(!empty($data['process_subtitle'])){
										echo '<p class="box-number sub">'.esc_html($data['process_subtitle']).'</p>';
									}
									if(!empty($data['process_title'])){
										echo '<h3 class="box-title title">'.esc_html($data['process_title']).'</h3>';
									}
									if(!empty($data['process_text'])){
										echo '<p class="process-item_text desc">'.esc_html($data['process_text']).'</p>';
									}
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
                echo '</div>';
            echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="process-card-area">';
				echo '<div class="row gy-4 align-items-center">';
					echo '<div class="col-md-6 col-xl-3">';
						echo '<div class="title-area mb-0  text-center text-md-start">';
							if(!empty($settings['subtitle'])){
								echo '<span class="sub-title style2">';
									echo kitar_img_tag( array(
										'url'   => esc_url( $settings['icon']['url'] ),
									));
									echo wp_kses_post($settings['subtitle']);
								echo '</span>';
							}
							if(!empty($settings['title'])){
								echo '<h2  class="sec-title mb-0">'.wp_kses_post($settings['title']).'</h2>';
							}
						echo '</div>';
					echo '</div>';
					foreach( $settings['process'] as $key => $data ){
					echo '<div class="col-md-6 col-xl-3">';
						echo '<div class="process-card">';
							if(!empty($data['process_subtitle'])){
								echo '<span class="process-card_subtitle sub">'.esc_html($data['process_subtitle']).'</span>';
							}
							if(!empty($data['process_icon']['url'])){
								echo '<div class="process-card_icon">';
									echo kitar_img_tag( array(
										'url'   => esc_url( $data['process_icon']['url'] ),
									));
								echo '</div>';
							}
							if(!empty($data['process_title'])){
								echo '<h4 class="box-title title">'.esc_html($data['process_title']).'</h4>';
							}
							if(!empty($data['process_text'])){
								echo '<p class="process-card_text desc">'.esc_html($data['process_text']).'</p>';
							}
						echo '</div>';
					echo '</div>';
					}
				echo '</div>';
			echo '</div>';

		}
	

	}

}