<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Tab Builder Widget .
 *
 */
class kitar_Tab_Builder extends Widget_Base {

	public function get_name() {
		return 'kitartabbuilder';
	}
	public function get_title() {
		return __( 'Tab Builder', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
    public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'tab_builder_section',
			[
				'label' 	=> __( 'Tab Builder', 'kitar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One', 'Style Two' ] );

		kitar_media_fields( $this, 'shape', 'Choose Subtitle Shape', ['1'] );
		kitar_general_fields( $this, 'sub', 'Subtitle', 'TEXTAREA2', 'Event Schedule', ['1'] );
		kitar_general_fields( $this, 'title', 'Title', 'TEXTAREA2', 'Music Event Schedule', ['1'] );

		$repeater = new Repeater();

		kitar_general_fields( $repeater, 'title', 'Tab Builder Title', 'TEXTAREA2', 'Tab 1' );
		kitar_general_fields( $repeater, 'sub', 'Tab Builder Subtitle', 'TEXTAREA2', '' );

		$repeater->add_control( 
			'kitar_tab_builder_option',
			[
				'label'     => __( 'Tab Name', 'kitar' ),
				'type'      => Controls_Manager::SELECT,
				'options'   => $this->kitar_tab_builder_choose_option(),
				'default'	=> ''
			]
		);

		$this->add_control(
			'tab_builder_repeater',
			[
				'label' 		=> __( 'Tab', 'kitar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title'    => __( 'Tab 1', 'kitar' ),
					],
					
				],
				'title_field' 	=> '{{{ title }}}',
				'condition'		=> [ 
					'layout_style' => [ '1', '2' ],
				],
			]
		);


        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------
		//---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Sub Style-------
		kitar_common_style_fields($this, 'sub', 'Subtitle', '{{WRAPPER}} .sub', ['1'] );
		//-------Title Style-------
		kitar_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .title', ['1'] );


    }

	public function kitar_tab_builder_choose_option(){

		$kitar_post_query = new WP_Query( array(
			'post_type'				=> 'kitar_tab_builder',
			'posts_per_page'	    => -1,
		) );

		$kitar_tab_builder_title = array();
		$kitar_tab_builder_title[''] = __( 'Select a Tab','Foodelio');

		while( $kitar_post_query->have_posts() ) {
			$kitar_post_query->the_post();
			$kitar_tab_builder_title[ get_the_ID() ] =  get_the_title();
		}
		wp_reset_postdata();

		return $kitar_tab_builder_title;

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
			echo '<div class="row justify-content-lg-between justify-content-center align-items-end">';
                echo '<div class="col-xl">';
                    echo '<div class="title-area text-center text-xl-start">';
						if(!empty( $settings['sub'] )){
							echo '<span class="sub-title sub">';
								echo kitar_img_tag( array(
									'url'   => esc_url( $settings['shape']['url'] ),
								));
								echo wp_kses_post($settings['sub']);
							echo '</span>';
						}
						if($settings['title']){
							echo '<h2 class="sec-title title">'.wp_kses_post($settings['title']).'</h2>';
						}
                    echo '</div>';
                echo '</div>';
                echo '<div class="col-xl-auto">';
                    echo '<div class="sec-btn">';
                        echo '<div class="nav tab-menu2" role="tablist">';
							$x = 0;
							foreach( $settings['tab_builder_repeater'] as $data ){
								$x++;
								$active = $x == '1' ? 'active':'';
								echo '<button class="tab-btn '.esc_attr($active).'" id="nav-one-tab'.esc_attr($x).'" data-bs-toggle="tab" data-bs-target="#nav-one'.esc_attr($x).'" type="button" role="tab" aria-controls="nav-one'.esc_attr($x).'">';
									echo esc_html( $data['title'] );
									echo '<span class="date">'.esc_html( $data['sub'] ).'</span>';
								echo '</button>';
							}
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';

			echo '<div class="tab-content">';
				$x = 0;
				foreach( $settings['tab_builder_repeater'] as $data ){
					$x++;
					$active = $x == '1' ? 'active show':'';
					echo '<div class="tab-pane fade '.$active.'" id="nav-one'.esc_attr($x).'"  role="tabpanel" aria-labelledby="nav-one-tab'.esc_attr($x).'">';
						$elementor = \Elementor\Plugin::instance();
						if( ! empty( $data['kitar_tab_builder_option'] ) ){
							echo $elementor->frontend->get_builder_content_for_display( $data['kitar_tab_builder_option'] );
						}
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			echo '<div class="nav tab-menu1" role="tablist">';
				$x = 0;
				foreach( $settings['tab_builder_repeater'] as $data ){
					$x++;
					$active = $x == '1' ? 'active':'';
					echo '<button class="tab-btn '.esc_attr($active).'" id="nav-one-tab'.esc_attr($x).'" data-bs-toggle="tab" data-bs-target="#nav-one'.esc_attr($x).'" type="button" role="tab" aria-controls="nav-one'.esc_attr($x).'">';
						echo esc_html( $data['title'] );
						echo '<span class="date">'.esc_html( $data['sub'] ).'</span>';
					echo '</button>';
				}
			echo '</div>';

			echo '<div class="tab-content">';
				$x = 0;
				foreach( $settings['tab_builder_repeater'] as $data ){
					$x++;
					$active = $x == '1' ? 'active show':'';
					echo '<div class="tab-pane fade '.esc_attr($active).'" id="nav-one'.esc_attr($x).'" role="tabpanel" aria-labelledby="nav-one-tab'.esc_attr($x).'">';
						$elementor = \Elementor\Plugin::instance();
						if( ! empty( $data['kitar_tab_builder_option'] ) ){
							echo $elementor->frontend->get_builder_content_for_display( $data['kitar_tab_builder_option'] );
						}
					echo '</div>';
				}
			echo '</div>';

		}
		
      
	}
}