<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
use \Elementor\Group_Control_Image_Size;
/**
 *
 * Team Info Widget
 *
 */
class kitar_Team_info extends Widget_Base{

	public function get_name() {
		return 'kitarteaminfo';
	}
	public function get_title() {
		return esc_html__( 'Team Member Info', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'team_member_content',
			[
				'label'		=> esc_html__( 'Member Info','kitar' ),
				'tab'		=> Controls_Manager::TAB_CONTENT,
			]
		);

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One' ] );

		kitar_media_fields( $this, 'image', 'Choose Image', ['1'] );
		kitar_general_fields( $this, 'name', 'Member Name', 'TEXT', 'Jonson Anderson', ['1'] );
		kitar_general_fields( $this, 'designation', 'Designation', 'TEXT', 'Designation', ['1'] );
		kitar_general_fields( $this, 'desc', 'Description', 'TEXTAREA', '', ['1']); 

		kitar_general_fields( $this, 'feature_label', 'Features Label', 'TEXT', 'Profile Details', ['1'] );
		kitar_common_repeater_field( $this, 'team_info', 'Team Features', [ 'title', 'text' ], [ '1' ]);
		
		kitar_general_fields( $this, 'info_label', 'Info Label', 'TEXT', 'Socials & Contacts', ['1'] );
		kitar_common_repeater_field( $this, 'team_info2', 'Team Info', [ 'icon2', 'text' ], [ '1' ]);
		
		kitar_social_fields( $this, 'social_icon_list', 'Social Media', ['1'] ); 

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------
		
		//-------Name Style-------
		kitar_common_style_fields( $this, 'name', 'Name', '{{WRAPPER}} .name', ['2']  );
		//-------Designation Style-------
		kitar_common_style_fields( $this, 'designation', 'Designation', '{{WRAPPER}} .team-about_desig', ['2'] );
		//-------Description Style-------
		kitar_common_style_fields( $this, 'desc', 'Description', '{{WRAPPER}} .team-about_text', ['2'] );

		kitar_common_style_fields( $this, 'title', 'Feature/Info Titlle', '{{WRAPPER}} .widget_title', ['1'] );

	}

	protected function render() {

	$settings = $this->get_settings_for_display(); 

		if( $settings['layout_style'] == '1' ){
			echo '<aside class="sidebar-area style2 pt-0 pt-md-30">';
				echo '<div class="widget team_profile">';
					if(!empty($settings['image']['url'])){
						echo '<div class="team-author">';
							echo kitar_img_tag( array(
								'url'   => esc_url( $settings['image']['url'] ), 
							));
						echo '</div>';
					}
					echo '<div class="team-content">';
						if(!empty($settings['name'])){
							echo '<h3 class="box-title name">'.esc_html($settings['name']).'</h3>';
						}
						if(!empty($settings['designation'])){
							echo '<p class="team-about_desig">'.esc_html($settings['designation']).'</p>';
						}
						if(!empty($settings['desc'])){
							echo '<p class="team-about_text mb-30">'.wp_kses_post($settings['desc']).'</p>';
						}
						if(!empty($settings['feature_label'])){
							echo '<h3 class="widget_title style2 mb-20">'.esc_html($settings['feature_label']).'</h3>';
						}
						echo '<div class="team-info mb-25">';
							echo '<ul>';
								foreach($settings['team_info'] as $data){
									echo '<li><b>'.wp_kses_post($data['team_features_title']).' </b>'.wp_kses_post($data['team_features_text']).'</li>';
								}
							echo '</ul>';
						echo '</div>';
						if(!empty($settings['info_label'])){
							echo '<h3 class="widget_title style2 mb-20">'.esc_html($settings['info_label']).'</h3>';
						}
						echo '<div class="th-widget-contact style2">';
							foreach($settings['team_info2'] as $data){
								echo '<p class="footer-info">';
									echo wp_kses_post($data['team_info_icon2']);
									echo wp_kses_post($data['team_info_text']);
								echo '</p>';
							}
						echo '</div>';
						echo '<div class="th-social mt-20">';
							foreach( $settings['social_icon_list'] as $social_icon ){
								$social_target    = $social_icon['icon_link']['is_external'] ? ' target="_blank"' : '';
								$social_nofollow  = $social_icon['icon_link']['nofollow'] ? ' rel="nofollow"' : '';
								echo '<a '.wp_kses_post( $social_target.$social_nofollow ).' href="'.esc_url( $social_icon['icon_link']['url'] ).'">';
								\Elementor\Icons_Manager::render_icon( $social_icon['social_icon'], [ 'aria-hidden' => 'true' ] );
								echo '</a> ';
							}
						echo '</div>';
					echo '</div>';
				echo '</div>';
			echo '</aside>';

		}elseif( $settings['layout_style'] == '2' ){
			echo '<div class="about-card">';
				if(!empty($settings['name'])){
					echo '<h2 class="h3 mb-2 sec-title name">'.esc_html($settings['name']).'</h2>';
				}
				if(!empty($settings['designation'])){
					echo '<p class="box-desig">'.esc_html($settings['designation']).'</p>';
				}
				if(!empty($settings['desc'])){
					echo '<hr>';
					echo '<p>'.wp_kses_post($settings['desc']).'</p>';
				}
				if(!empty($settings['title'])){ 
					echo '<hr>';
					echo '<h4 class="mb-20 title">'.wp_kses_post($settings['title']).'</h4>';
				}
				if(!empty($settings['desc2'])){
					echo '<p class="mb-4">'.wp_kses_post($settings['desc2']).'</p>';
				}
				echo '<div class="team-table">';
					echo '<table>';
						foreach( $settings['edu_info'] as $key => $data ){
							$tag = ($key == 0) ? 'th':'td';
							echo '<tr>';
								if(!empty($data['title_1'])){
									echo '<'.esc_attr($tag).'>'.wp_kses_post($data['title_1']).'</'.esc_attr($tag).'>';
								}
								if(!empty($data['title_2'])){
									echo '<'.esc_attr($tag).'>'.wp_kses_post($data['title_2']).'</'.esc_attr($tag).'>';
								}
								if(!empty($data['title_3'])){
									echo '<'.esc_attr($tag).'>'.wp_kses_post($data['title_3']).'</'.esc_attr($tag).'>';
								}
							echo '</tr>';
						}
					echo '</table>';
				echo '</div>';
			echo '</div>';

		}
		
		
	}
}