<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Team Widget .
 *
 */
class kitar_Team extends Widget_Base {

	public function get_name() {
		return 'kitarteam';
	}
	public function get_title() {
		return __( 'Team', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'team_section',
			[
				'label'     => __( 'Team Content', 'kitar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One', 'Style Two', 'Style Three', 'Style Four' ] );

		kitar_general_fields( $this, 'subtitle', 'Subtitle', 'TEXTAREA2', 'Get Consultation', ['2'] );
		kitar_general_fields( $this, 'title', 'Title', 'TEXTAREA2', 'Get A Free Consultation Contact Us', ['2'] );
		kitar_media_fields( $this, 'shape', 'Shape Image', ['2'] );
		kitar_media_fields( $this, 'shape2', 'Shape Image', ['2'] );

		$fields_to_include = [ 'image' => ['Team Image'], 'title' => ['Name', 'Designation'], 'url' => ['Profile URL', 'Facebook URL', 'Twitter URL', 'Linkedin URL', 'Instagram URL'] ];
		kitar_repeater_fields( $this, 'team_lists', 'Member Lists', $fields_to_include, ['1', '2', '4']  );

		$repeater = new Repeater();

		kitar_media_fields( $repeater, 'team_image', 'Choose Image' );
		kitar_general_fields( $repeater, 'name', 'Name', 'TEXTAREA2', 'Elara Celestia' );
		kitar_general_fields( $repeater, 'designation', 'TEXTAREA2', 'TEXTAREA', 'Manager' ); 
		kitar_url_fields( $repeater, 'profile_url', 'Profile URL' );

		kitar_url_fields( $repeater, 'facebook_url', 'Facebook URL' );
		kitar_url_fields( $repeater, 'twitter_url', 'Twitter URL' );
		kitar_url_fields( $repeater, 'linkedin_url', 'Likedin URL' );
		kitar_url_fields( $repeater, 'instagram_url', 'Instagram URL' );

		$repeater->add_control(
			'color',
			[
				'label' => esc_html__( 'Color 1', 'kitar' ),
				'type' => \Elementor\Controls_Manager::COLOR,
			]
		);
		$repeater->add_control(
			'color2',
			[
				'label' => esc_html__( 'Color 2', 'kitar' ),
				'type' => \Elementor\Controls_Manager::COLOR,
			]
		);
		
		$this->add_control(
			'team_lists2',
			[
				'label' 		=> __( 'Member Lists', 'kitar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 	=> __( 'Elara Celestia', 'kitar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['3']
				]
			]
		);




        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Name Style-------
		kitar_common2_style_fields( $this, 'name', 'Name', '{{WRAPPER}} .title a' );
		//-------Designation Style-------
		kitar_common_style_fields( $this, 'desig', 'Designation', '{{WRAPPER}} .desig' );

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

			if( $settings['layout_style'] == '1' ){
				echo '<div class="slider-area">';
					echo '<div class="swiper th-slider teamSlider1 has-shadow" id="teamSlider1" data-slider-options=\'{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"2"},"1200":{"slidesPerView":"3"}}}\'>';
						echo '<div class="swiper-wrapper">';
							foreach( $settings['team_lists'] as $data ){
								$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
								$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';
		
								$f_target = $data['facebook_url']['is_external'] ? ' target="_blank"' : '';
								$f_nofollow = $data['facebook_url']['nofollow'] ? ' rel="nofollow"' : '';
								$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
								$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
								$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
								$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
								$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
								$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';

								echo '<!-- Single Item -->';
								echo '<div class="swiper-slide">';
									echo '<div class="team-card">';
                                        echo '<div class="team-img-wrap">';
											if(!empty($data['team_image']['url'])){
												echo '<div class="team-img" data-mask-src="'.KITAR_ASSETS.'img/team-shape2.png">';
													echo kitar_img_tag( array(
														'url'   => esc_url( $data['team_image']['url']  ),
													));
													echo '<div class="team-overlay" data-mask-src="'.KITAR_ASSETS.'img/team_overlay.png"></div>';
												echo '</div>';
											}
											if( ! empty( $data['facebook_url']['url'] || $data['twitter_url']['url'] || $data['linkedin_url']['url'] || $data['instagram_url']['url'] ) ){
												echo '<div class="th-social">';
													if( ! empty( $data['facebook_url']['url']) ){
														echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['facebook_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
													}
													if( ! empty( $data['twitter_url']['url']) ){
														echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
													}
													if( ! empty( $data['linkedin_url']['url']) ){
														echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
													}
													if( ! empty( $data['instagram_url']['url']) ){
														echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
													}
												echo '</div>';
											}
                                        echo '</div>';
                                        echo '<div class="team-content">';
											if($data['name']){
												echo '<h3 class="box-title title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
											}
											if($data['designation']){
												echo '<span class="team-desig desig">'.esc_html($data['designation']).'</span>';
											}
                                        echo '</div>';
                                    echo '</div>';
								echo '</div>';
							}
						echo '</div>';
					echo '</div>';
					echo '<button data-slider-prev="#teamSlider1" class="slider-arrow slider-prev"><i class="far fa-arrow-left"></i></button>';
					echo '<button data-slider-next="#teamSlider1" class="slider-arrow slider-next"><i class="far fa-arrow-right"></i></button>';
				echo '</div>';

			}elseif( $settings['layout_style'] == '2' ){
				echo '<div class="team-area2">';
					echo '<div class="container z-index-common">';
						echo '<div class="title-area text-center">';
							if($settings['subtitle']){
								echo '<span class="sub-title sub">'.wp_kses_post($settings['subtitle']).'</span>';
							}
							if($settings['title']){
								echo '<h2 class="sec-title title">'.wp_kses_post($settings['title']).'</h2>';
							}
						echo '</div>';
						echo '<div class="slider-area">';
							echo '<div class="swiper th-slider teamSlider2 has-shadow" id="teamSlider2" data-slider-options=\'{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"2"},"1200":{"slidesPerView":"3"}}}\'>';
								echo '<div class="swiper-wrapper">';
								foreach( $settings['team_lists'] as $data ){
									$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
									$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';
			
									$f_target = $data['facebook_url']['is_external'] ? ' target="_blank"' : '';
									$f_nofollow = $data['facebook_url']['nofollow'] ? ' rel="nofollow"' : '';
									$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
									$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
									$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
									$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
									$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
									$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';
									echo '<!-- Single Item -->';
									echo '<div class="swiper-slide">';
										echo '<div class="team-box">';
											echo '<div class="team-img-wrap">';
												if(!empty($data['team_image']['url'])){
													echo '<div class="team-img">';
														echo kitar_img_tag( array(
															'url'   => esc_url( $data['team_image']['url']  ),
														));
													echo '</div>';
												}
												if( ! empty( $data['facebook_url']['url'] || $data['twitter_url']['url'] || $data['linkedin_url']['url'] || $data['instagram_url']['url'] ) ){
													echo '<div class="th-social">';
														if( ! empty( $data['facebook_url']['url']) ){
															echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['facebook_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
														}
														if( ! empty( $data['twitter_url']['url']) ){
															echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
														}
														if( ! empty( $data['linkedin_url']['url']) ){
															echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
														}
														if( ! empty( $data['instagram_url']['url']) ){
															echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
														}
													echo '</div>';
												}
											echo '</div>';
											echo '<div class="team-content">';
												if($data['name']){
													echo '<h3 class="box-title title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
												}
												if($data['designation']){
													echo '<span class="team-desig desig">'.esc_html($data['designation']).'</span>';
												}
											echo '</div>';
										echo '</div>';
									echo '</div>';
								}
								echo '</div>';

							echo '</div>';
							echo '<button data-slider-prev="#teamSlider2" class="slider-arrow slider-prev"><i class="far fa-arrow-left"></i></button>';
							echo '<button data-slider-next="#teamSlider2" class="slider-arrow slider-next"><i class="far fa-arrow-right"></i></button>';
						echo '</div>';
					echo '</div>';
					if(!empty($settings['shape']['url'])){
						echo '<div class="shape-mockup anim02 d-none d-xxl-block" data-top="30%" data-left="5%">';
							echo kitar_img_tag( array(
								'url'	=> esc_url( $settings['shape']['url'] ),
							) );
						echo '</div>';
					}
					if(!empty($settings['shape2']['url'])){
						echo '<div class="shape-mockup jump d-none d-xxl-block" data-top="30%" data-right="4%">';
							echo kitar_img_tag( array(
								'url'	=> esc_url( $settings['shape2']['url'] ),
							) );
						echo '</div>';
					}
				echo '</div>';

			}elseif( $settings['layout_style'] == '3' ){
				echo '<div class="slider-area">';
					echo '<div class="swiper th-slider teamSlider3 has-shadow" id="teamSlider3" data-slider-options=\'{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"2"},"1200":{"slidesPerView":"4"}}}\'>';
						echo '<div class="swiper-wrapper">';
						foreach( $settings['team_lists2'] as $data ){
							$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
							$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';
	
							$f_target = $data['facebook_url']['is_external'] ? ' target="_blank"' : '';
							$f_nofollow = $data['facebook_url']['nofollow'] ? ' rel="nofollow"' : '';
							$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
							$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
							$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
							$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
							$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
							$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';

							echo '<!-- Single Item -->';
							echo '<div class="swiper-slide">';
								echo '<div class="team-item">';
									echo '<div class="team-img-wrap" data-bg-color="'.esc_attr($data['color']).'">';
										if(!empty($data['team_image']['url'])){
											echo '<div class="team-img">';
												echo kitar_img_tag( array(
													'url'   => esc_url( $data['team_image']['url']  ),
												));
											echo '</div>';
										}
										echo '<div class="team-info">';
											echo '<div class="team-info_content">';
												if(!empty($data['team_image']['url'])){
													echo '<div class="team-img2">';
														echo kitar_img_tag( array(
															'url'   => esc_url( $data['team_image']['url']  ),
														));
													echo '</div>';
												}
												if($data['name']){
													echo '<h3 class="box-title title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
												}
												if($data['designation']){
													echo '<span class="team-desig desig">'.esc_html($data['designation']).'</span>';
												}
											echo '</div>';
											if( ! empty( $data['facebook_url']['url'] || $data['twitter_url']['url'] || $data['linkedin_url']['url'] || $data['instagram_url']['url'] ) ){
												echo '<div class="th-social">';
													if( ! empty( $data['facebook_url']['url']) ){
														echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['facebook_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
													}
													if( ! empty( $data['twitter_url']['url']) ){
														echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
													}
													if( ! empty( $data['instagram_url']['url']) ){
														echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
													}
													if( ! empty( $data['linkedin_url']['url']) ){
														echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
													}
												echo '</div>';
											}
										echo '</div>';
										echo '<div class="team-content" data-theme-color="'.esc_attr($data['color2']).'">';
											if($data['name']){
												echo '<h3 class="box-title title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
											}
											if($data['designation']){
												echo '<span class="team-desig desig">'.esc_html($data['designation']).'</span>';
											}
										echo '</div>';
									echo '</div>';

								echo '</div>';
							echo '</div>';
						}
						echo '</div>';

					echo '</div>';
					echo '<button data-slider-prev="#teamSlider3" class="slider-arrow slider-prev"><i class="far fa-arrow-left"></i></button>';
					echo '<button data-slider-next="#teamSlider3" class="slider-arrow slider-next"><i class="far fa-arrow-right"></i></button>';
				echo '</div>';

			}elseif( $settings['layout_style'] == '4' ){
				echo '<div class="row gy-30 gx-30">';
					foreach( $settings['team_lists'] as $data ){
						$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
						$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';

						$f_target = $data['facebook_url']['is_external'] ? ' target="_blank"' : '';
						$f_nofollow = $data['facebook_url']['nofollow'] ? ' rel="nofollow"' : '';
						$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
						$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
						$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
						$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
						$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
						$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';

						echo '<!-- Single Item -->';
						echo '<div class="col-xl-4 col-md-6 team-box_wrapp">';
							echo '<div class="team-box">';
								echo '<div class="team-img-wrap">';
									if(!empty($data['team_image']['url'])){
										echo '<div class="team-img">';
											echo kitar_img_tag( array(
												'url'   => esc_url( $data['team_image']['url']  ),
											));
										echo '</div>';
									}
									if( ! empty( $data['facebook_url']['url'] || $data['twitter_url']['url'] || $data['linkedin_url']['url'] || $data['instagram_url']['url'] ) ){
										echo '<div class="th-social">';
											if( ! empty( $data['facebook_url']['url']) ){
												echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['facebook_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
											}
											if( ! empty( $data['twitter_url']['url']) ){
												echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
											}
											if( ! empty( $data['linkedin_url']['url']) ){
												echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
											}
											if( ! empty( $data['instagram_url']['url']) ){
												echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
											}
										echo '</div>';
									}
								echo '</div>';
								echo '<div class="team-content">';
									if($data['name']){
										echo '<h3 class="box-title title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
									}
									if($data['designation']){
										echo '<span class="team-desig desig">'.esc_html($data['designation']).'</span>';
									}
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';

			}
	
			
	}
}